<template>
  <two-panes
    :left-caption="dictionaryRu.leftCaption"
    :right-caption="dictionaryRu.rightCaption"
  >
    <template slot="left">
      <link-browser
        ref="linkBrowser"
        :user-data="userData"
        :api="api"
        @select-link-org="selectLinkOrg"
      />
    </template>
    <template slot="right">
      <link-info
        ref="linkInfo"
        :user-data="userData"
        :api="api"
        @update-domains="updateDomains"
      />
    </template>
  </two-panes>
</template>

<script>
import api from '@/api';
import { getCookie } from '@/utils/cookie';
import TwoPanes from 'common-components/src/obComponents/obTwoPanels';
import LinkBrowser from './LinkBrowser';
import LinkInfo from './LinkInfo';
import jwt_decode from 'jwt-decode';
import { dictionary } from '@/translations/ru/LinkBrowserPage';

const token = getCookie('auth_token');
const userData = token ? jwt_decode(token) : {};

export default {
  name: 'index',
  components: { LinkInfo, LinkBrowser, TwoPanes },
  computed: {
    api() {
      return api.linkBrowser;
    }
  },
  data() {
    return {
      dictionaryRu: dictionary,
      userData
    };
  },
  methods: {
    selectLinkOrg(org, domain) {
      this.$refs.linkInfo.set(org, domain);
    },
    updateDomains() {
      this.$refs.linkBrowser.compileDomains();
    }
  }
};
</script>
